Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class DiscountPresentation

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.service.DiscountPresentation

Direct Known Subclasses:
  OrderAdjustmentPresentation

public class DiscountPresentation
extends java.lang.Object
implements java.io.Serializable

This class is used to hold information corresponding to pricing adjustments to a Line item. A List of DiscountPresentation objects will be attached to a Line item to show adjustments to the price of that Line item.

See Also:
  `PricingReply`, `Line`, Serialized Form

Constructor Summary
`DiscountPresentation(double quantity, Money unitPrice, Money discount, java.lang.String computation, java.lang.String reason)` Construct a DiscountPresentation object with the specified values.

Method Summary
`java.lang.String` | `getComputation()` Retrieve the computation string associated with this adjustment.
`Money` | `getDiscount()`
`double` | `getQuantity()` Retrieves the quantity of the Line for which this adjustment applies.
`java.lang.String` | `getReason()` Retrieve the string describing the reason for the adjustment, For instance: "Spring Sale" or "First time buyer discount".
`java.lang.String` | `getShortText()`
`Money` | `getUnitPrice()`
`void` | `set(double quantity, Money unitPrice, Money discount, java.lang.String computation, java.lang.String reason)` Initialize the DiscountPresentation object with the specified values.
`void` | `setComputation(java.lang.String computation)` Sets the computation string associated with the computation of this adjustment
`void` | `setDiscount(Money discount)` Sets the actual amount discounted for this quantity of the Line.
`void` | `setQuantity(double quantity)` Sets the quantity of the Line for which this adjustment applies.
`void` | `setReason(java.lang.String reason)` Sets the string describing the reason for the adjustment.
`void` | `setUnitPrice(Money unitPrice)` Sets the actual per unit price after adjustment for the Line.
`java.lang.String` | `toString()` This method is intended for debugging and may be changed at any time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscountPresentation

    public DiscountPresentation(double quantity,
                                Money unitPrice,
                                Money discount,
                                java.lang.String computation,
                                java.lang.String reason)

  Construct a DiscountPresentation object with the specified values.

  Parameters:
    `quantity` - a double value specifying the quantity of the Line item corresponding to this presentation object.
    `unitPrice` - the discounted unit price for this quantity of the Line.
    `discount` - the amount of money discounted for this quantity of the Line.
    `computation` - a string describing the computation that produced the actual unit price from the original unit price.
    `reason` - a string describing the reason this quantity of the Line was adjusted.
  See Also:
    `Line`, `Money`

Method Detail

### set

    public void set(double quantity,
                    Money unitPrice,
                    Money discount,
                    java.lang.String computation,
                    java.lang.String reason)

  Initialize the DiscountPresentation object with the specified values.

  Parameters:
    `quantity` - a double value specifying the quantity of the Line item corresponding to this presentation object.
    `unitPrice` - the discounted unit price for this quantity of the Line.
    `discount` - the amount of money discounted for this quantity of the Line.
    `computation` - a string describing the computation that produced the actual unit price from the original unit price.
    `reason` - a string describing the reason this quantity of the Line was adjusted.
  See Also:
    `Line`, `Money`

### getQuantity

    public double getQuantity()

  Retrieves the quantity of the Line for which this adjustment applies.

  Returns:
    the quantity to which this adjustment applies.

### setQuantity

    public void setQuantity(double quantity)

  Sets the quantity of the Line for which this adjustment applies.

  Parameters:
    `quantity` - a double value corresponding to the quantity for this adjustment.

### getUnitPrice

    public Money getUnitPrice()

  Returns:
    the actual per unit price for this quantity of the Line after adjustment.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Sets the actual per unit price after adjustment for the Line.

  Parameters:
    `unitPrice` - the new unit price for this quantity of the Line.

### getDiscount

    public Money getDiscount()

  Returns:
    the amount of the adjustment for this quantity of the Line. More specifically, (<base unit price> * <quantity>) - (<actual unit price> * <quantity>) This value is positive for adjustments that reduce the cost of the Line. Negative otherwise.

### setDiscount

    public void setDiscount(Money discount)

  Sets the actual amount discounted for this quantity of the Line.

  Parameters:
    `discount` - the amount discounted. More specifically, (<base unit price> * <quantity>) - (<actual unit price> * <quantity>)

### getComputation

    public java.lang.String getComputation()

  Retrieve the computation string associated with this adjustment. This value will typically be something like: "10% off" or "$5 off".

### setComputation

    public void setComputation(java.lang.String computation)

  Sets the computation string associated with the computation of this adjustment

  Parameters:
    `computation` - a String corresponding to how the actual unit price was derived from the base unit price.

### getReason

    public java.lang.String getReason()

  Retrieve the string describing the reason for the adjustment, For instance: "Spring Sale" or "First time buyer discount".

### setReason

    public void setReason(java.lang.String reason)

  Sets the string describing the reason for the adjustment.

### getShortText

    public java.lang.String getShortText()

  Returns:
    a string that includes both the computation and reason in the form of "Discount: <computation> - <reason>".

### toString

    public java.lang.String toString()

  This method is intended for debugging and may be changed at any time. The method returns a string containing all the values for all fields in this class.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved